Spring Context provides access to configured objects like a registry (a context). It inherits its features from Spring Beans and adds support for internationalization, event propagation, resource loading, and the transparent creation of contexts.

CategoriesDependency Injection
Tagscontextspringdependency-injectioniocframework
DateDec 23, 2011
Filespom (6 KB)  jar (654 KB)  View All
RepositoriesCentralAlfrescoAtricoreBeDataDrivenFit2CloudGeomajasJCenterSonatypeSpring Releases
Ranking#28 in MvnRepository (See Top Artifacts)
#1 in Dependency Injection
Used By13,864 artifacts
VulnerabilitiesDirect vulnerabilities:
CVE-2022-22968

Vulnerabilities from dependencies:
CVE-2023-20863
CVE-2023-20861
CVE-2022-23307
View 22 more ...

Note: There is a new version for this artifact

New Version6.1.4


Compile Dependencies (24)

Category/License Group / ArtifactVersionUpdates
AOP
Public
aopalliance » aopalliance (optional) 1.0
Bytecode
BSD 3-clause
asm » asm (optional) 3.09.6
Concurrency
CC0 1.0Public
backport-util-concurrent » backport-util-concurrent (optional) 3.03.1
Bytecode
Apache 2.0
cglib » cglib-nodep (optional) 2.23.3.0
Java Spec
CDDLGPL 2.0
javax.annotation » jsr250-api (optional) 1.01.3.2
Java Spec
EPL 2.0GPL
javax.ejb » ejb-api (optional) 3.04.0.1
Dep Injection
Apache 2.0
javax.inject » javax.inject (optional) 12.0.1
Java Spec
EDL 1.0EPL 1.0
javax.persistence » persistence-api (optional) 1.02.2
Validation
Apache 2.0
javax.validation » validation-api (optional) 1.0.0.GA3.0.2
Java Spec
EDL 1.0
javax.xml.ws » jaxws-api (optional) 2.1-14.0.1
Date/Time
Apache 2.0
joda-time » joda-time (optional) 1.62.12.7

Apache 2.0
org.apache.geronimo.specs » geronimo-jms_1.1_spec (optional) 1.11.1.1
Transactions
Apache 2.0
org.apache.geronimo.specs » geronimo-jta_1.1_spec (optional) 1.11.1.1
AOP
EPL 2.0
org.aspectj » aspectjweaver (optional) 1.6.81.9.21.1
JVM Languages
Apache 2.0
org.beanshell » bsh (optional) 2.0b42.1.1
JVM Languages
Apache 2.0
org.codehaus.groovy » groovy-all (optional) 1.6.34.0.18

LGPL
org.hibernate » com.springsource.org.hibernate.validator (optional) 4.1.0.GA4.2.0.Final
JVM Languages
EPL 2.0GPL 2.0LGPL 2.1
org.jruby » jruby (optional) 1 vulnerability 1.4.09.4.6.0
AOP
Apache 2.0
org.springframework » spring-aop 3.0.7.RELEASE6.1.4
Dep Injection
Apache 2.0
org.springframework » spring-beans2 vulnerabilities 3.0.7.RELEASE6.1.4
Core Utils
Apache 2.0
org.springframework » spring-core16 vulnerabilities 3.0.7.RELEASE6.1.4
Expression Lang
Apache 2.0
org.springframework » spring-expression3 vulnerabilities 3.0.7.RELEASE6.1.4
Bytecode
Apache 2.0
org.springframework » spring-instrument (optional) 3.0.7.RELEASE6.1.4
Bytecode
Apache 2.0
org.springframework » spring-asm 3.0.7.RELEASE3.1.4.RELEASE